#pragma once

#include "Effect.h"
#include "effect_clock.h"

struct EffectEntry {
	const char* name;
	bool use_in_cycle;
	std::function<Effect*()> create;
};
extern const EffectEntry effects[];
extern const uint8_t effects_size;

extern Effect* current_effect;
extern ClockEffect effect_clock;

Effect* select_effect(char* name);
Effect* select_effect(uint8_t id);
bool change_current_effect(String s);
void setup_effects();
