#pragma once

#include "Effect.h"
#include "effects.h"

class CycleEffect : public Effect {
private:
    Effect* effect = NULL;
    uint16_t effect_id = -1;
    unsigned long effectSince = 0;
    uint16_t _heap_free = 0;
    uint8_t _effects_count;
public:
	CycleEffect();
	~CycleEffect();
    void changeEffect();

    boolean can_be_shown_with_clock();
    boolean clock_as_mask();
    String get_name() override;

    void loop(uint16_t ms);
};
